Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# osclconfig_io_check.h

Go to the documentation of this file.

    00001 #ifndef OSCLCONFIG_IO_CHECK_H_INCLUDED
    00002 #define OSCLCONFIG_IO_CHECK_H_INCLUDED
    00003
    00009 #ifndef OSCL_HAS_ANSI_FILE_IO_SUPPORT
    00010 #error "ERROR: OSCL_HAS_ANSI_FILE_IO_SUPPORT has to be defined to either 1 or 0"
    00011 #endif
    00012
    00018 #ifndef OSCL_HAS_ANSI_64BIT_FILE_IO_SUPPORT
    00019 #error "ERROR: OSCL_HAS_ANSI_64BIT_FILE_IO_SUPPORT has to be defined to either 1 or 0"
    00020 #endif
    00021
    00027 #ifndef OSCL_HAS_MSWIN_FILE_IO_SUPPORT
    00028 #error "ERROR: OSCL_HAS_MSWIN_FILE_IO_SUPPORT has to be defined to either 1 or 0"
    00029 #endif
    00030
    00036 #ifndef OSCL_HAS_SYMBIAN_COMPATIBLE_IO_FUNCTION
    00037 #error "ERROR: OSCL_HAS_SYMBIAN_COMPATIBLE_IO_FUNCTION has to be defined to either 1 or 0"
    00038 #endif
    00039
    00046 #if (OSCL_HAS_SYMBIAN_COMPATIBLE_IO_FUNCTION)
    00047 #ifndef OSCL_HAS_NATIVE_DUPLICATE_FILE_HANDLE
    00048 #error "ERROR: OSCL_HAS_NATIVE_DUPLICATE_FILE_HANDLE has to be defined to either 1 or 0"
    00049 #endif
    00050 #endif
    00051
    00052
    00058 #ifndef OSCL_HAS_NATIVE_FILE_CACHE_ENABLE
    00059 #error "ERROR: OSCL_HAS_NATIVE_FILE_CACHE_ENABLE has to be defined to either 1 or 0"
    00060 #endif
    00061
    00062
    00068 #ifndef OSCL_HAS_PV_FILE_CACHE
    00069 #error "ERROR: OSCL_HAS_PV_FILE_CACHE has to be defined to either 1 or 0"
    00070 #endif
    00071
    00077 #ifndef OSCL_HAS_LARGE_FILE_SUPPORT
    00078 #error "ERROR: OSCL_HAS_LARGE_FILE_SUPPORT has to be defined to either 1 or 0"
    00079 #endif
    00080
    00087 typedef TOsclFileOffset __verify__TOsclFileOffset__defined__;
    00088
    00089
    00095 #ifndef OSCL_FILE_BUFFER_MAX_SIZE
    00096 #error "ERROR: OSCL_FILE_BUFFER_MAX_SIZE has to be defined to a numeric value"
    00097 #endif
    00098
    00104 #ifndef OSCL_HAS_SOCKET_SUPPORT
    00105 #error "ERROR: OSCL_HAS_SOCKET_SUPPORT has to be defined to either 1 or 0"
    00106 #endif
    00107
    00113 #ifndef OSCL_HAS_SYMBIAN_SOCKET_SERVER
    00114 #error "ERROR: OSCL_HAS_SYMBIAN_SOCKET_SERVER has to be defined to either 1 or 0"
    00115 #endif
    00116
    00122 #ifndef OSCL_HAS_SYMBIAN_DNS_SERVER
    00123 #error "ERROR: OSCL_HAS_SYMBIAN_DNS_SERVER has to be defined to either 1 or 0"
    00124 #endif
    00125
    00132 #ifndef OSCL_HAS_BERKELEY_SOCKETS
    00133 #error "ERROR: OSCL_HAS_BERKELEY_SOCKETS has to be defined to either 1 or 0"
    00134 #endif
    00135
    00140 #if OSCL_HAS_BERKELEY_SOCKETS
    00141 typedef TOsclSocket __TOsclSocketCheck___;
    00142 #endif
    00143
    00148 #if OSCL_HAS_BERKELEY_SOCKETS
    00149 typedef TOsclSockAddr __TOsclSockAddrCheck___;
    00150 #endif
    00151
    00157 #if OSCL_HAS_BERKELEY_SOCKETS
    00158 typedef TOsclSockAddrLen __TOsclSockAddrLenCheck___;
    00159 #endif
    00160
    00171 #if OSCL_HAS_BERKELEY_SOCKETS
    00172 #ifndef OsclBind
    00173 #error "ERROR: OsclBind(s,addr,ok,err) has to be defined"
    00174 #endif
    00175 #endif
    00176
    00188 #if OSCL_HAS_BERKELEY_SOCKETS
    00189 #ifndef OsclListen
    00190 #error "ERROR: OsclListen(s,size,ok,err) has to be defined"
    00191 #endif
    00192 #endif
    00193
    00207 #if OSCL_HAS_BERKELEY_SOCKETS
    00208 #ifndef OsclAccept
    00209 #error "ERROR: OsclAccept(s,accept_s,ok,err,wouldblock) has to be defined"
    00210 #endif
    00211 #endif
    00212
    00222 #if OSCL_HAS_BERKELEY_SOCKETS
    00223 #ifndef OsclSetNonBlocking
    00224 #error "ERROR: OsclSetNonBlocking(s,ok,err) has to be defined"
    00225 #endif
    00226 #endif
    00227
    00239 #if OSCL_HAS_BERKELEY_SOCKETS
    00240 #ifndef OsclShutdown
    00241 #error "ERROR: OsclShutdown(s,how,ok,err) has to be defined"
    00242 #endif
    00243 #endif
    00244
    00256 #if OSCL_HAS_BERKELEY_SOCKETS
    00257 #ifndef OsclSocket
    00258 #error "ERROR: OsclSocket(s,fam,type,prot,ok,err) has to be defined"
    00259 #endif
    00260 #endif
    00261
    00276 #if OSCL_HAS_BERKELEY_SOCKETS
    00277 #ifndef OsclSendTo
    00278 #error "ERROR: OsclSendTo(s,buf,len,flags,addr,ok,err,nbytes,wouldblock) has to be defined"
    00279 #endif
    00280 #endif
    00281
    00295 #if OSCL_HAS_BERKELEY_SOCKETS
    00296 #ifndef OsclSend
    00297 #error "ERROR: OsclSend(s,buf,len,ok,err,nbytes,wouldblock) has to be defined"
    00298 #endif
    00299 #endif
    00300
    00310 #if OSCL_HAS_BERKELEY_SOCKETS
    00311 #ifndef OsclCloseSocket
    00312 #error "ERROR: OsclCloseSocket(s,ok,err) has to be defined"
    00313 #endif
    00314 #endif
    00315
    00328 #if OSCL_HAS_BERKELEY_SOCKETS
    00329 #ifndef OsclConnect
    00330 #error "ERROR: OsclConnect(s,addr,ok,err,wouldblock) has to be defined"
    00331 #endif
    00332 #endif
    00333
    00351 #if OSCL_HAS_BERKELEY_SOCKETS
    00352 #ifndef OsclConnectComplete
    00353 #error "ERROR: OsclConnectComplete(s,wset,eset,success,fail,ok,err) has to be defined"
    00354 #endif
    00355 #endif
    00356
    00370 #if OSCL_HAS_BERKELEY_SOCKETS
    00371 #ifndef OsclRecv
    00372 #error "ERROR: OsclRecv(s,buf,len,ok,err,nbytes,wouldblock) has to be defined"
    00373 #endif
    00374 #endif
    00375
    00389 #if OSCL_HAS_BERKELEY_SOCKETS
    00390 #ifndef OsclRecvFrom
    00391 #error "ERROR: OsclRecvFrom(s,buf,len,paddr,paddrlen,ok,err,nbytes,wouldblock) has to be defined"
    00392 #endif
    00393 #endif
    00394
    00407 #if OSCL_HAS_BERKELEY_SOCKETS
    00408 #ifndef OsclSocketSelect
    00409 #error "ERROR: OsclSocketSelect(nfds,rd,wr,ex,timeout,ok,err,nhandles) has to be defined"
    00410 #endif
    00411 #endif
    00412
    00421 #if OSCL_HAS_BERKELEY_SOCKETS
    00422 #ifndef OsclSocketStartup
    00423 #error "ERROR: OsclSocketStartup(ok) has to be defined"
    00424 #endif
    00425 #endif
    00426
    00435 #if OSCL_HAS_BERKELEY_SOCKETS
    00436 #ifndef OsclSocketCleanup
    00437 #error "ERROR: OsclSocketCleanup(ok) has to be defined"
    00438 #endif
    00439 #endif
    00440
    00452 #if OSCL_HAS_BERKELEY_SOCKETS
    00453 #ifndef OsclGetAsyncSockErr
    00454 #error "ERROR: OsclGetAsyncSockErr(s,ok,err) has to be defined"
    00455 #endif
    00456 #endif
    00457
    00462 #if OSCL_HAS_BERKELEY_SOCKETS
    00463 typedef TOsclHostent __TOsclHostentCheck___;
    00464 #endif
    00465
    00477 #if OSCL_HAS_BERKELEY_SOCKETS
    00478 #ifndef OsclGethostbyname
    00479 #error "ERROR: OsclGethostbyname(name,hostent,ok,err) has to be defined"
    00480 #endif
    00481 #endif
    00482
    00492 #if OSCL_HAS_BERKELEY_SOCKETS
    00493 #ifndef OsclGetDottedAddr
    00494 #error "ERROR: OsclGetDottedAddr(hostent,dottedaddr,ok) has to be defined"
    00495 #endif
    00496 #endif
    00497
    00498
    00504 #if OSCL_HAS_SELECTABLE_PIPES
    00505 #ifndef OsclPipe
    00506 #error "ERROR: OsclPipe(pipearray) has to be defined"
    00507 #endif
    00508 #endif
    00509
    00510 #if OSCL_HAS_SELECTABLE_PIPES
    00511 #ifndef OsclReadFD
    00512 #error "ERROR: OsclReadFD(fd,buffer,cnt) has to be defined"
    00513 #endif
    00514 #endif
    00515
    00516 #if OSCL_HAS_SELECTABLE_PIPES
    00517 #ifndef OsclWriteFD
    00518 #error "ERROR: OsclWriteFD(fd,buffer,cnt) has to be defined"
    00519 #endif
    00520 #endif
    00521
    00522 #if OSCL_HAS_SOCKET_SUPPORT
    00523
    00528 #ifndef OsclValidInetAddr
    00529 #error "ERROR: OsclValidInetAddr(addr) must be defined"
    00530 #endif
    00531 #endif
    00532
    00533 #if OSCL_HAS_SOCKET_SUPPORT
    00534
    00538 #ifndef OSCL_SD_RECEIVE
    00539 #error "ERROR: OSCL_SD_RECEIVE has to be defined"
    00540 #endif
    00541 #ifndef OSCL_SD_SEND
    00542 #error "ERROR: OSCL_SD_SEND has to be defined"
    00543 #endif
    00544 #ifndef OSCL_SD_BOTH
    00545 #error "ERROR: OSCL_SD_BOTH has to be defined"
    00546 #endif
    00547 #endif
    00548
    00549 #if OSCL_HAS_SOCKET_SUPPORT
    00550
    00554 #ifndef OSCL_AF_INET
    00555 #error "ERROR: OSCL_AF_INET has to be defined"
    00556 #endif
    00557 #endif
    00558
    00559 #if OSCL_HAS_SOCKET_SUPPORT
    00560
    00564 #ifndef OSCL_SOCK_STREAM
    00565 #error "ERROR: OSCL_SOCK_STREAM has to be defined"
    00566 #endif
    00567 #ifndef OSCL_SOCK_DATAGRAM
    00568 #error "ERROR: OSCL_SOCK_DATAGRAM has to be defined"
    00569 #endif
    00570 #endif
    00571
    00572 #if OSCL_HAS_SOCKET_SUPPORT
    00573
    00577 #ifndef OSCL_IPPROTO_TCP
    00578 #error "ERROR: OSCL_IPPROTO_TCP has to be defined"
    00579 #endif
    00580 #ifndef OSCL_IPPROTO_UDP
    00581 #error "ERROR: OSCL_IPPROTO_UDP has to be defined"
    00582 #endif
    00583 #endif
    00584
    00585
    00586 #endif // OSCLCONFIG_IO_CHECK_H_INCLUDED
    00587
    00588